Smart content analysis
curl --request POST \
--url https://api.kynva.ai/api/v1/analyze/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {
"headline": "<string>",
"body": "<string>",
"cta": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
]
},
"targetAudience": "<string>",
"brandGuidelines": {
"tone": "<string>",
"colors": [
"<string>"
],
"avoid": [
"<string>"
]
}
}
'import requests
url = "https://api.kynva.ai/api/v1/analyze/"
payload = {
"content": {
"headline": "<string>",
"body": "<string>",
"cta": "<string>",
"caption": "<string>",
"hashtags": ["<string>"]
},
"targetAudience": "<string>",
"brandGuidelines": {
"tone": "<string>",
"colors": ["<string>"],
"avoid": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {
headline: '<string>',
body: JSON.stringify('<string>'),
cta: '<string>',
caption: '<string>',
hashtags: ['<string>']
},
targetAudience: '<string>',
brandGuidelines: {tone: '<string>', colors: ['<string>'], avoid: ['<string>']}
})
};
fetch('https://api.kynva.ai/api/v1/analyze/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"intent": "<string>",
"intentConfidence": 123,
"secondaryIntent": "<string>",
"tone": "<string>",
"toneConfidence": 123,
"entities": [
{
"type": "<string>",
"value": "<string>",
"confidence": 123
}
],
"suggestions": {
"templateTypes": [
"<string>"
],
"visualStyle": "<string>",
"mood": "<string>",
"layout": "<string>"
},
"warnings": [
{
"type": "<string>",
"message": "<string>",
"severity": "<string>",
"suggestion": "<string>"
}
],
"summary": "<string>",
"processingTime": 123
}
}Analyze
Smart content analysis
Analyze content to understand intent, tone, and get suggestions
POST
/
api
/
v1
/
analyze
/
Smart content analysis
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
Content to analyze
Show child attributes
Show child attributes
Target platform for platform-specific analysis
Available options:
instagram, facebook, twitter, linkedin, tiktok, youtube, pinterest, threads Description of target audience
Show child attributes
Show child attributes
⌘I